<template>
    <div id="termCloud" v-if="defaultWords && defaultWords.length > 0">
        <wordcloud
            :data = "defaultWords"
            nameKey = "name"
            valueKey = "value"
            :color = "myColors"
            :wordClick="wordClickHandler"
            :showTooltip = "false"
            :fontSize = "[10, 90]">
        </wordcloud>
    </div>
</template>

<script>
import wordcloud from 'vue-wordcloud'
export default {
    name: 'termCloud',
    props: ['words'],
    data () {
        return {
            myColors: ['#1f77b4', '#629fc9', '#94bedb', '#c9e0ef'],
            defaultWords: []
        }
    },
    components: {
        wordcloud
    },
    mounted() {
        for(let i = 0; i < 200; i ++) {
            this.defaultWords.push({'name':this.words[i].name, 'value':this.words[i].value});
        }
    },
    methods: {
        wordClickHandler(name, value, vm) {
            console.log('wordClickHandler', name, value, vm);
        }
    },
}
</script>

<style>
.wordCloud svg {
    margin-top: 30px;
}
</style>
